using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Web.UI.WebControls.Tools;

namespace CompositionSampleControls
{

    public class Composition1 : Control, INamingContainer 
    {
        //public int Value
        //{
        //    get
        //    {
        //        this.EnsureChildControls();
        //        return Int32.Parse(((TextBox)Controls[1].Controls[0]).Text);
        //    }
        //    set
        //    {
        //        this.EnsureChildControls();
        //        ((TextBox)Controls[1].Controls[0]).Text = value.ToString();
        //    }
        //}
        public string Text
        {
            get
            {
                this.EnsureChildControls();
                return (((Label)Controls[1].Controls[0]).Text);
            }
            set
            {
                this.EnsureChildControls();
                (((Label)Controls[1].Controls[0]).Text) = value.ToString();
            }
        }
        protected override void CreateChildControls()
        {
            this.Controls.Add(new LiteralControl("<h4>"));
                        
            CallbackPanel Panel1 = new CallbackPanel();
            Panel1.ID = "CallbackPanel1";
            Panel1.ClientObjectID="Test";            
            Panel1.CallbackRefresh += new CancellableCallbackEventHandler(Panel1_CallbackRefresh);
            
            Label label1 = new Label();
            label1.ID = "Label1";
            Panel1.Controls.Add(label1);
            
            //TextBox box = new TextBox();
            //box.ID = "Box1";
            //box.Text = "0";
            //Panel1.Controls.Add(box);            

            this.Controls.Add(Panel1);

            this.Controls.Add(new LiteralControl("</h4>"));
        }

        void Panel1_CallbackRefresh(object sender, CancellableCallbackEventArgs e)
        {           
            //this.Value++;
            this.Text = e.CallbackArgument.ToString();
        }

       
    }
}

 
